global HelpWindows
set n [Unique]
set win .help$n
set HelpWindows [linsert $HelpWindows 0 $win]

LinkWindow $head.help $win
LinkWindow $win.head $head

catch "destroy $win"
toplevel $win -screen $display

SetHelp $win Help

wm title $win {SimCity Help}
wm iconname $win {SimCity Help}
wm geometry $win 400x240+5+5
wm positionfrom $win user
wm sizefrom $win user
wm maxsize $win 700 700
wm minsize $win 100 100
wm protocol $win delete "DeleteWindow help HelpWindows"
wm transient $win $head

frame $win.top \
  -relief raised \
  -borderwidth 1
LinkWindow $win.background $win.top

label $win.top.title \
  -text {Help} \
  -borderwidth 2 \
  -relief raised \
  -font [Font $win Big]
LinkWindow $win.title $win.top.title

SetHelp $win.top.title Help.Title

scrollbar $win.top.scroll\
  -command "$win.top.text yview" \
  -borderwidth 1

SetHelp $win.top.scroll Help.Scrollbar

text $win.top.text \
  -yscroll "$win.top.scroll set" \
  -borderwidth 2 \
  -relief flat \
  -wrap word \
  -state disabled \
  -font [Font $win Large]
LinkWindow $win.text $win.top.text

SetHelp $win.top.text Help.Text

pack append $win.top\
  $win.top.title	{top frame center fillx} \
  $win.top.scroll	{left frame center filly} \
  $win.top.text		{right frame center expand fill}

button $win.dismiss\
  -font [Font $win Large]\
  -text {Dismiss}\
  -command "wm withdraw $win"

SetHelp $win.dismiss Help.Dismiss

pack append $win\
  $win.dismiss		{bottom frame center fillx}\
  $win.top		{left frame center expand fill}

update idletasks
