global SplashWindows
set n [Unique]
set win .splash$n

LinkWindow $head.splash $win
LinkWindow $win.head $head

catch "destroy $win"
if {[catch "toplevel $win -screen $display"]} {
  puts stderr "Couldn't open X11 display \"$display\"."
  set win ""
  return ""
}

wm title $win "SimCity Splash Screen"
wm iconname $win {SimCity Splash Screen}
wm geometry $win 1200x900+0+0
wm withdraw $win
wm protocol $win delete "DeleteSplashWindow $win ;"
wm fullscreen $win on

set SplashWindows [linsert $SplashWindows 0 $win]

SetHelp $win Splash

global SplashPanelWidth
global SplashPanelHeight

set SplashPanelWidth 1200
set SplashPanelHeight 900

label $win.splashscreen \
  -font [Font $win Medium]
LinkWindow $win.splashscreen $win.splashscreen

place $win.splashscreen -x 0 -y 0

InitSplash $win

update idletasks
